Cobalt Docs
Api referenceTags

Create tag

Create a new tag. Names must be unique per user (case-insensitive).

POST
/tags

Authorization

bearerAuth
AuthorizationBearer <token>

Cobalt API key (prefix ck_live_). Issue from dashboard → Settings → API keys.

In: header

Request Body

application/json

Tag to create

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/tags" \  -H "Content-Type: application/json" \  -d '{    "color": "red",    "name": "string"  }'
{
  "archivedAt": "string",
  "color": "string",
  "createdAt": "string",
  "id": "string",
  "name": "string"
}
{
  "code": "string",
  "error": "string"
}
{
  "code": "string",
  "error": "string"
}
{
  "error": {
    "issues": [
      {
        "code": "string",
        "message": "string",
        "path": [
          "string"
        ]
      }
    ],
    "name": "string"
  },
  "success": true
}